.input-date-root {
  position: relative;
  width   : 100%;
}

.input-date-dropdown-root {
  position        : absolute;
  top             : 92px;
  width           : 276px;
  height          : 266px;
  background-color: #FFFFFF;
  padding         : 0 8px 0 8px;
  border-radius   : 4px;
  box-shadow      : rgba(0, 0, 0, 0.05) 0px 2px 6px, rgba(0, 0, 0, 0.07) 0px 0px 0px 1px;
  display         : flex;
  justify-content : center;
  align-items     : center;
}

.input-date-dropdown-handle-narrow {
  right: 0;
}

.input-date-dropdown-grid {
  display              : grid;
  grid-template-columns: 33px 33px 33px 33px 33px 33px 33px;
  grid-template-rows   : 33px 20px 32px 32px 32px 32px 32px;
  grid-template-areas  : "input-date-dropdown-header-container input-date-dropdown-header-container input-date-dropdown-header-container input-date-dropdown-header-container input-date-dropdown-header-container input-date-dropdown-header-container input-date-dropdown-header-container"
                          "input-date-dropdown-dow-container input-date-dropdown-dow-container input-date-dropdown-dow-container input-date-dropdown-dow-container input-date-dropdown-dow-container input-date-dropdown-dow-container input-date-dropdown-dow-container"
                          ". . . . . . ."
                          ". . . . . . ."
                          ". . . . . . ."
                          ". . . . . . ."
                          ". . . . . . ."
                          ". . . . . . .";
  grid-gap: 0;
}

.input-date-dropdown-header-container {
  grid-area      : input-date-dropdown-header-container;
  display        : flex;
  flex-flow      : row nowrap;
  justify-content: space-between;
  align-items    : center;
  font-weight    : 700;
  font-size      : 18px;
  color          : #484848;
}

.input-date-dropdown-dow-container {
  grid-area      : input-date-dropdown-dow-container;
  display        : flex;
  flex-flow      : row nowrap;
  justify-content: space-around;
  align-items    : center;
  font-size      : 0.85em;
  opacity        : 0.5;
}

.input-date-dropdown-cell-container {
  display        : flex;
  justify-content: center;
  align-items    : center;
  font-size      : 14px;
  border         : 1px solid transparent;
}

.input-date-dropdown-cell-container:hover {
  background-color: rgb(228, 231, 231);
}

.input-date-dropdown-calendar-buttons {
  height         : 33px;
  width          : 39px;
  padding        : 7px 10px !important;
  cursor         : pointer;
  display        : flex;
  justify-content: center;
  align-items    : center;
  border         : 1px solid rgb(228, 231, 231);
  box-sizing     : border-box;
  border-radius  : 3px;
}